ProductType (images Maven Webapp 1.3.0-3.1.1 API)
Date: 2014-06-04

org.gcube.application.aquamaps.images.model

## Enum ProductType

- java.lang.Object
- - java.lang.Enum<ProductType>
  - - org.gcube.application.aquamaps.images.model.ProductType

- All Implemented Interfaces:
    Serializable, Comparable<ProductType>

      public enum ProductType
      extends Enum<ProductType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GIS`
    `IMAGE`
    `OBJ`
    `PIC`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProductType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ProductType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMAGE

          public static final ProductType IMAGE

    - #### GIS

          public static final ProductType GIS

    - #### OBJ

          public static final ProductType OBJ

    - #### PIC

          public static final ProductType PIC

  - ### Method Detail

    - #### values

          public static ProductType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProductType c : ProductType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProductType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.